# Changelog
All notable changes to this project will be documented in this file.

## [0.5.0] - 2022-01-20

### Bug Fixes

- Fix view error issue
- Fix position issue
- Fix unwrap issues
- Fix tests for height

### Documentation

- Update config for cargo
- Thinking in toc for editor
- Update component intro
- Add story for knowledge graph
- Update prop define for raw
- Add story to startup check
- Remove some old docs

### Features

- Add pdf view demo
- Add cors support
- Add link to modal
- Add file upload support
- Add basic file upload api
- Add file upload works
- Make file upload works
- Init data grid view
- Support for data grid
- Init quake boarD
- Init basic drag
- Links samples
- Refactor links
- Change contextmenu to items
- Make context menu works
- Add source & targe demo
- Add define for demos
- Add demo diamod node model and factory
- Extract filter rules
- Init json data for testing knowledge graph render
- Add height for simple layout
- Add height support for parse
- Add height support for frontend
- Add component type

### Miscellaneous Tasks

- Release 0.4.0

### Refactor

- Update type process logic
- Change webpack loading method
- Disable cors for use
- Clean unused print
- Inline map
- Fix some typos to align api
- Change layout styles

### Styling

- Remove unused styles
- Add navigator for pdf
- Enable board in auto engine
- Add max-height

### Build

- Remove unused showcase docs
- Init viewer
- Fix build script error issue
- Import quake component to webapp

### Lint

- Fix lint issue
- Remove unused console.log
- Fix lint
- Fix lint
- Fix lint
- Fix lint

## [0.4.0] - 2022-01-08

### Bug Fixes

- Fix chart ERROR
- Fix lint issue
- Fix testings
- Properties mix in entry content
- Fix typo issue
- Fix lint
- Check markdown format before check id
- Fix test
- Add date convert for file change and fixed #37
- Fix watch path issue
- `entry.add` action autocomplete
- Fix tests for serde error issues

### Documentation

- Update changelog
- Addd first version design for filter
- Add design for map and filter
- Update design for transflow pipe
- Add math design for math.js
- Add content for biz viz analysis
- Update refs
- Add map samples
- Udpate rEADME
- Update README
- Add samples for transflow
- Add whiteboard for test
- Add notes for transflow
- Add flow syntax design process
- Add link to whiteboard
- Add whiteboard librs
- Update README
- Update type system
- Update todo
- Add first version for generate rule dsl
- Update design for content processor
- Rename generate_rules -> process_rules
- Update refs
- Rename processors
- Add content to attachment
- Fix typo
- Add install guide
- Add link for samples for papers
- Add sample for processors
- Add basic syntax for transflow
- Add basic design for router engine
- Add resources refs to rule engine
- Update for build
- Add story for parse pdf
- Add samples for generate pdf
- Update README to webapp for integration
- Add log for document length

### Features

- Add simple map func code
- Init map pipe struct
- Add parser for map func
- Add convert to quake libs
- Make map pipe works
- Add parser for source prop
- Add genfunc for attribute
- Add dump transflow map support
- Add transflow api
- Init map standard libs
- Add display for transflow name
- Make timeline enable
- Make filter and map can be in different position
- Init from file grammer
- Add support for transflow decl
- Fix auto generate issue & update content
- Move generate rule to entry define
- Init generate cmd
- Try set engine
- Init basic rule struct
- Entry list selected
- Quick action autocomplete
- Init basic pdf content generate
- Add check for is force
- Add processor api export
- Add support for loading pdf
- Init cmd
- Init generate
- Add auto generate pdf support
- Add generate csv & node info
- Replace regex with ringrep
- Init form
- Add basic get schema support
- Make prop events works

### Miscellaneous Tasks

- Release 0.3.0
- Fix issue template typo
- Move message to app's state

### Refactor

- Rename api for modify
- Make filter in option
- Rename function to operator
- Extract vas
- Rename map to mapping
- Change flow map
- Fix parameter issue
- Remove unused code
- Change parameter to parameterType
- Replace duplicate code
- Remove duplicate code
- Extract param again
- Move unused librs to dir
- Create type creator
- Add generate for entry node info
- Reuse app's config for entry defines
- Rename processors model
- Rename package name
- Update file to string
- Update config to template
- Rename create index
- Rename content
- Extract method
- Move check file match to entry file
- Rename entry object to entry action
- Rename object -> entry for frontend
- Move processor to engine
- Invert if condition for rule
- Move logic to prcessor usecases
- Rename generate -> process
- Remove unused entry path for processor
- Extract start server & thinking in loading pdf
- Clean build of projects
- Change entry file set logic to main json

### Styling

- Format code
- Inline style to creator
- Fix styles issues
- Use default for form-js

### Testing

- Add test for operators
- Add test for seralizer
- Add testcase for filter map random
- Add test for file prop

### Build

- Init transflow graph
- Remove unused deps
- Reinit project of type creator
- Replace with quakeworks/form js editor

### Ci

- Disable windows sqlite3 for temp

### Lint

- Fix lint
- Fix lint
- Fix lint
- Fix lint

## [0.3.0] - 2021-12-23

### Bug Fixes

- Fix some import issue
- Fix typo
- Fix typo
- Fix tests
- Fix tests
- Read entry types from defines file
- Default server port
- Fix toolchain typo
- Fix transflow path issue
- Fix test
- Fix date issue msg issue
- Fix duplidate time issue
- Add more time match
- Fix time issue for lazi onenote :triumph::triumph:
- Fix expr issue
- Fix unit time issue
- Fix import time issue
- Fix build issues
- Fix test ignore issues
- Fix tests
- Typos
- Back normal mode after excute command
- Calendar element should be quake-calendar instead of quake-calendar-timeline.
- Fix page_link issues
- Fix timeline issue
- Fix tests
- Fix deserde issue
- Fix date issue
- Fix testings
- Fix action lint
- Fix file & sets lint
- Fix js flow codegen lint
- Fix ast default issue
- Ignore rule for 3rd part
- Fix quake default issue
- Fix watch issue
- Fix typos && fixed #25
- Fix typo
- Fix typo
- Fix layout issue
- Fix test
- Remove unused highlightjs
- Fix lint issue
- Seperate app's input state and message
- Fix empty value issue
- Delete char in editor
- Revert value change for editor content
- Fix lint
- Align styles naming
- Panic in execute command
- Fix tests
- Fix build script error issue
- Fix path to align api
- Fix path
- Fix data issues
- Fix typos
- Fix lint
- Fix lint
- Remove unused titles
- Not sync after entry saved
- Fix condition error issue for match notebook
- Fix chart render issues

### Documentation

- Thinking in attribute type
- Add test file for compare
- Add some syntax design for markdown
- Update mvp for docs
- Create mvp notes
- Clean code
- Update search config
- Update status
- Add more docs for long code
- Add lost doc for pretl
- Thinking in contract desing
- Add some docs
- Add more story
- Update todo
- Update changelog
- Updat dev.md
- Add fe setup guide
- Add some content
- Add suggest story
- Split markdown
- Update README config
- Modify web location
- Update file status
- Update links
- Add log fo error fields
- Try to use feed settings
- Update config
- Setup quake book
- Add lost RADME
- Update README
- Add more for README
- Need to lunch meilisearch engine after installed.
- Update todo
- Init quake book for quake component
- Replace transfunc.js with transflow.yaml
- Adding an introduction to the overall structure of the project and modifying the set-up process.
- Update design for transfuncs
- Add transflow for timeline examples
- Update transflow for timeline for tesitng
- Add simple description for web app build and development.
- Add lint & web badge
- Add download to init for design
- Update docs for quake down
- Add render doccs for markdown
- Update story status & init page link storage
- Add more design to README
- Add bookmark for test
- Add utf8 notes
- Add stories for api
- Update desing for http/https
- Remove unused code & add some comments
- Refactor to element
- Add resources for upload file
- Add basic design for down data
- Rename command
- Update stsatus
- Update content
- Add link to online demo

### Feat

- Make pass filter for struct
- Add first heading

### Features

- Main screen with help message
- Try to add onenote
- Add logger
- Split web component element
- Add init wce logic
- Init basic parser
- Init web component element
- Try to parse markdown
- Add basic struct define
- Try to writer markdown parser
- Add auto watch for cli
- Add generate for wc element
- Init basic quake.js design
- Add infinite for select result
- Init time search ui
- Add show command
- Migration core to quake.js t ofetch data
- Add transflow to js api
- Make flow to code works
- Make currect translate api
- Add basic time support
- Add simple date time
- Make replace time text to unix time
- Make filter works in parse
- Make filter works in gen code
- Add format for RFC3339_NANO
- Add app state
- Try pdf read file module
- Add hr for renderer
- Add heading support
- Add table support
- Execute quake action and into insert mode
- Add inline parser
- Add basic page link extentions for parse
- Add parse for admonition
- Add admonition in content
- Make list in list works
- Add code highlight support
- Make admoition render
- Try d3 for render
- Make d3 works
- Add to core view in dashboard
- Add timeline for render
- Make calendar render
- Make /transflow/script load from yaml file
- Add route to script
- Try to set loging for doc
- Add mapping for status change
- Save new entry
- Add status logging suppport
- Add simple layout syntax
- Split lowcode & nocode
- Add parse for layout
- Add test for render
- Add event to click page link
- Add handle for entry sync
- Add support for embed link & page link
- Add simple layout dsl
- Add data for graph:
- Add simple layout api
- Make simple layout works
- Make shadow false to use app
- Send message after save entry file
- Add easy component support for simple layout
- Add simple data for component
- Add match for @graph('bar') code type
- Add bar chart as a graph sample
- Try to create fetch api
- Try create offline.html
- Add simple bar for testing
- Add graph-line for testing
- Enable load from url
- Make request into source
- Make parser return flowurl
- Vim-like mode state
- Line feed
- Try loading for process
- Init packages
- Try call in components
- Export action for js
- Export json for defines
- Make dump transflow to code api
- Add dump dashboard layout
- Export suggest api
- Add dump for data
- Try to add link parser
- Add parsing function for quake note
- Add test for parseing function
- Update markdown processor
- Support for utf8 regex for fix quote issue
- Edit entry
- Init with webapp dist
- Make for generate links
- Add dump to links
- Add api for reference
- Add lost title
- Try make sense for functions
- Update regex rule for markdown pagelink
- Update match cases

### Miscellaneous Tasks

- Release 0.2.0
- Fix dist name
- Editor typo

### Refactor

- Rename cli aciton
- Rename file filter
- Clean code
- Split examples from _fixtures
- Fix lint error
- Rename list workspaces function
- Extract actions behavior
- Clean fm insert
- Clean fm insert
- Clean fe class
- Review code and add some docs
- Create exec wrapper for exec
- Split helper
- Remove search_api
- Use same walk rule for sync & feed
- Clean test code
- Extract event.detail
- Org code to quakedown
- Clean code of struct
- Change docs org
- Fix exec url not config issues
- Clean unused git code
- Reorg code
- Align cli_action to cli to make concept align
- Use  as prefix of transflow functions
- Naming api to prefix with tl
- Remove unused main.rs
- Rename calendar timeline to calendar
- Migration dashboard
- Change calendar component
- Clean some deps
- Split duplicated action
- Change to different cmd mode for Windows
- Move route code to last
- Add define name for dsl
- Rename api
- Change filter process logic
- Change time format
- Foramt code
- Refactor: entry set logic
- Refactor: entry set logic
- Split define usecases
- Split format api
- Use new format for json
- Reconfig for data values
- Add some error handle for process data to json
- Rename main widget virant
- Rename mappings to map
- Change feed settings to json file
- Extract main render logic to `MainWidget`
- Rename quake render
- Clean code
- Extract function `execute_command`
- Rename functions for rendener
- Move inline render to render component
- Add support for list
- Try to use custom data
- Rename componet
- Extract render element
- Reset page link module
- Rename api funcs name
- Move router to custom
- Expose translate api from yaml
- Use global define path
- Replace origin feed settings
- Remove old curl for feed single entry
- Change expose api for jsonify map
- Extract widgets
- Rename funcs
- Split extensions
- Extract CmdLine widget
- Rename components
- Review & remove some code
- Extract function back_to_normal
- Align data
- Remove unused comments
- Rename fields to properties
- Rename fields to properties by fields
- Align frontend api
- Mvoe fetch api to dashboard
- Make parameters -> entry_list
- Rename lbracket -> l_bracket
- Inline string usage
- Extact entry type
- Event handle in App
- Move test about app's state
- Merge command and app
- Rename entry path path
- Move usecases to core
- Refactor testcases for dump
- Chagne transfuncs api name
- Change entry dump to list logic
- Align layout paths
- Replace json
- Update build scripts for wasm
- Try to use query api
- Change to loading
- Add basic toggle for show dump
- Fix fetach api data issue
- Change order for entries data
- Try to update parsing sytnax for entry ref
- Remove unused link
- Test for match array
- Update ref api
- Add lost title
- Move tranfuncs design to funcs
- Change todo to hashmap for match api
- Align hashmap change for refs
- Align key change

### Styling

- Test for styles
- Update styles
- Fix link to item

### Testing

- Add test for load from csv
- Add test for create entry
- Try to set test server in ci
- Add testing for time
- Add type to jsonify
- Make timeline works
- Add test for action api
- Add test for entry update
- Make expose to component
- Make it works
- Introduce rstest to improve tests
- Add test for cases

### Build

- Add some logs examples
- Try to add md render
- Set vesion to 2021
- Remove unused config for packages
- Specific version for develop (#12)
- Add basic web api config
- Update links
- Init quake graph
- Test for quake graph
- Update docs from generate
- Add nx as build tool for web app(nx cloud enabled).
- Fix cra and @nrwl/workspace eslint version conflict.
- Add github actions for web app.
- Try to fix nx build error command.
- Nx main branch should be 'master' instead of 'main'.
- Need to fetch all branches and commits so that Nx affected has a base to compare against.
- Go to web app folder before building.
- Add command to debug.
- Add command to debug 1.
- Add command to debug 2
- Add command to debug 3.
- Fix ci build issue.
- Init flow url
- Rename command for use
- Try to rewrite css
- Update content
- Add scripts for build project
- Add wasm build
- Try to setp link

### Ci

- Update coverage script

### Lint

- Fix some lint issue
- Refactor element to csvtable
- Fix some lint issue
- Fix more lint
- Fix string issue
- Fix lints
- Fix path issues
- Fix last lints

## [0.1.2] - 2021-12-05

### Bug Fixes

- Fix deps issues

### Features

- Add generate for show func

### Refactor

- Rename functions
- Exract functions for reading

### Testing

- Add test for multiple flow

### Build

- Add lost deps
- Update coverage config

## [0.1.1] - 2021-12-05

### Bug Fixes

- Fix build scripts issues

### Documentation

- Add doc example

### Miscellaneous Tasks

- Release 0.1.0

### Build

- Update locks file

## [0.1.0] - 2021-12-05

### Bug Fixes

- Fix react lint issue
- Fix not select entry issue
- Fix typo for feed
- Fix default rule issues
- Fix testings
- Fix digtal parse issue
- Fix test
- Fix empty dir generate csv issue
- Fix codegen issues
- Add lost types
- Fix webapp error issues
- Fix lint build
- Fix typo

### Documentation

- Add screenshots for #7
- Update changelog
- Add calendar story
- Add first version define for transflow
- Add transflow define
- Add samples for transform
- Update story
- Reorg code for codegen
- Udpate code design
- Add qrcode

### Features

- Init calendar view
- Add a simple typeflow logic component
- Add basic transflow parser
- Add basic parse for flow
- Make transflow
- Add naming route
- Make multiple records works
- Make return map
- Transform from source
- Add for loading defines
- Add query api for transflow
- Add basic codegen
- Add api for load js
- Add script to loading
- Add baisc timeline translate funciton
- Try to add flow
- Simple command mode

### Refactor

- Try to figure lots of files change in dir
- Rename core logic
- Rename parser
- Make parse parameter
- Split actions & flows logic
- Renaming process
- Rename transflow node
- Rename transform
- Naming route
- Update flow define
- Move paths to core
- Move action to core to usecases

### Testing

- Add testing for parameter

### Build

- Update scripts for zip
- Clear deps
- Ignore test for windows
- Make samples works

## [0.0.6] - 2021-12-04

### Bug Fixes

- Fix width issue
- Fix select type not empty
- Fix tests
- Set content first for not value issue
- Fix tests

### Documentation

- Update changelog
- Update search ranking rule
- Split search rule to resources
- Add notes
- Rename command
- Update todos
- Add dockerfile story

### Features

- Add title change process
- Change search rule for content
- Add save button for dashboard
- Add word count
- Try to add watch dir
- Make watch dir for server

### Refactor

- Change api for make request for show all
- Clean some code
- Extract load config
- Move errors & add id from name
- Make only load file once
- Fix quote issue

### Styling

- Update title style

### Testing

- Update test data
- Add test for type

### Build

- Add lint config

### Ci

- Remove windows install tasks

## [0.0.5] - 2021-12-03

### Bug Fixes

- Throw error msg for empty editor

### Documentation

- Add test coverage badge
- Update ignore for projects

### Refactor

- Change process cmd for testing
- Throw error for not exist command actions
- Use rust2018 import syntax

### Testing

- Add test for create new entry
- Add hello world web server
- Try to write test for srver api
- Add test for importer

### Build

- Add grcov
- Update coveralls config for parent
- Update coveralls config for parent
- Update ignore
- Update ignore file again

### Ci

- Try split coverage from build
- Fix coverage issue

## [0.0.4] - 2021-12-03

### Build

- Add lost os info

## [0.0.3] - 2021-12-03

### Bug Fixes

- Fix zip issue
- Fix lint issue

### Build

- Add lost zip command for web
- Init changelog
- Init justfile
- Add test cmd

## [0.0.2] - 2021-12-03

### Bug Fixes

- Fix windows lost exes
- Fix command for windows
- Fix typos
- Fix install issue
- Fix webpakc issue

### Documentation

- Add todo for quake toml migration
- Update README
- Add quake output sample
- Add story
- Add story for api

### Features

- Fix server_url issues
- Add show enable for normal types
- List all dirs that contain entries.csv
- Add api fo convert csv to json

### Refactor

- Move server url to config
- Remove links
- Rename QuakeServer.toml to Quake.toml
- Move out .quake.yaml from config
- Move quake.toml to .quake.yml

### Build

- Try pnpm for build
- Add build scripts
- Add auto zip for projects
- Fix codeql issue
- Disable pnpm for windows
- Update flow
- Update config
- Remove puppter from e2e
- Try use different tools for pnpm
- Move flows to release
- Change webpack to react config
- Update build scripts for workflow

## [0.0.1] - 2021-12-02

### Bug Fixes

- Fix template issue
- Fix format issue
- Fix tests
- Fix space issue
- Simplify for docs
- Comments code for test cross domain
- Fix copo
- Fix typos
- Fix des issues
- Fix parse issues
- Add lost empty handle
- Add lost author field
- Lost contents
- Fix some typos
- Fix typos
- Fix error not path issue
- Fix templ issues
- Fix typos
- Fix docs config issue
- Fix define not update issue
- Fix tests
- Fix not match entry issue
- Fix tests issue
- Fix home routes issue
- Fix event issue
- Fix testings
- Fix parse parameters issue
- Fix parameter issue
- Reset todos to fix it
- Fix submit issue
- Fix tests
- Fix lost testing
- Document does not match the actual
- Fix parse front matter issue
- Fix testsings
- Fix empty not clear issue
- Fix feed url refactor issue
- Fix split front matter issue
- Ignore for windows jsonify
- Fix importer new line issue

### Docs

- Add architecture images

### Documentation

- Init todos
- Update notes
- Split ui for design
- Init concepts
- Update define for concepts
- Add more define
- Init components.csv
- Add more concepts
- Init opensource decisions
- Add documents
- Thinking in data type
- Add define for concept
- Thinking in quicke engine
- Init script langauge
- Add front matter & first bookmarks
- Update in content
- Init custom editor
- Add quake server
- Init entryset info
- Move README spike to docs dir
- Split quake.yaml config
- Add refs for code highlight
- Add docs sample
- Update adr
- Update README
- Temp disable for windows
- Update README
- Add README
- Update content
- Add samples
- Thinking in adr
- Update README
- Thinkig in file filter
- Skip for git log
- Update notes
- Add macos parse links
- Add notes for import apple notes
- Fix com output issue
- Thining in search engine
- Add more docs
- Add note for command
- Update command
- Thinking in tui
- Try settings
- Udpate content
- Add todo links
- Update todo
- Update todo
- Update todo
- Try update config
- Update config to logs
- Try to load actions
- Align types
- Udpate notes
- Add quake actions
- Update todos
- Add connect to todo
- Update todo
- Update todos
- Update links
- Update desc
- Add web components
- Try element
- Add editor for view
- Thinking in suggest
- Update in sql
- Thinking in web component
- Add rocket.toml config
- Setup web component
- Add todo for server router
- Remove  unused files
- Add tag logic
- Simplify input page
- Refactor to code
- Add simple for go home
- Thinking in fe fm
- Thinking in calendar api
- Thinking in typees
- Add some new idea
- Add yiki
- Remove unused samples
- Thining in flowly api
- Add lost serach document
- Add notes for install meilisearch
- Update docs
- Udpate config
- Thinking in slowboard
- Add some notes
- Add spike for quake
- Remove unused action
- Fix fix typo
- Add simple story board
- Move chart.html to docs files
- Update story

### Features

- Init basic cli process
- Add basic tray demo
- Init parser
- Init basic expr
- Add first search query
- Init meta action & object
- Init  tui cargo for quake
- Try in tui
- Create todo template
- Add test for custom type
- Thinking in actions
- Add custom type parse support
- Init custom entry
- Make first blabla works
- Make it works
- Try use database
- Make results
- Enable auto config
- Use front matter as markdown format
- Init importer module
- Add list define for entrysets
- Add design for entrysets
- Init slug helper
- Init entry info for indeX
- Init quake parser
- Init parser
- Try to add ast
- Enable code to write
- Add support for parse parameter
- Add support for parse update parameter
- Add display for field
- Fix csv writer pos issue
- Add process for front matter
- Make to csvs
- Add loading for table
- Try format entry
- Add support for skip body
- Try show headers
- Show tables
- Init command
- Add support for parse parameter
- Add parse parameter for update
- Add handle pasrser
- Parse for error messages
- Thinking in themes
- Try sqlite for import
- Test query
- Update test query
- Make it basic works
- Support for content in new line
- Make it really works
- Try downnotes
- Try to decode data
- Make dump notes works
- Add importer
- Try jieba rs
- Add demo for webapp
- Init dump api
- Make entry file to json
- Add entry_sets to json support
- Update for sync json
- Add init cmd
- Make microsoft todos works
- Make it works
- Init dashboard
- Enable for spaces
- Make dashboard works
- Try use dashboard
- Replace dashboard ui
- Add basic query api support
- Add handle quake parser error
- Make query string works
- Try outgoing
- Try bloack spawn api
- Init render
- Init render
- Make search workds
- Try to add dashboard
- Make action & search split
- Create suggest api
- Try server config
- Make config works
- Add basic support for quake action split
- Make toast works
- Create react app with editor
- Make router works
- Make editor works
- Make router works
- Add basic entry api
- Add entry get api
- Add api redirect support
- Add save event support
- Thinking in Priority
- Create entry
- Make create app enable
- Add title for define
- Add update field support
- Try use json as requeset
- Update todos
- Test for reponse
- Change udpate hashmap
- Make it works
- Make storage data works
- Add update api uspport
- Add dashboard handle
- Add local sync api
- Try api
- Make multiple returns
- Make multiple dashboard displays
- Add select for types
- Add smart action
- Add basic flow define support
- Add simple chinese quota parse support
- Add create flows support for file
- Add flow type support
- Add story search support
- Add get csv api for web
- Make copy works
- Add create quakeserver.toml to init

### Refactor

- Move code to gui
- Change entry to dir
- Split types
- Split tests
- Change index format
- Extract todo logic
- Replace regex
- Clean deps
- Refactor code
- Format input
- Thinking in rebuild index
- Use indexmap replace hashmap
- Rewrite entrysets
- Split data for sample
- Inline code
- Extract code
- Change content to entry file
- Move logic to entry file
- Extract md files
- Change order
- Refactor front matter process logic
- Reset logic
- Redefine entry
- Create front matter
- Move modules
- Simplify main mod
- Make code readable
- Change config
- Reset entry process logic
- Simplify logic for generatE
- Change command logic
- Clean code
- Mvoe entry to core
- Split mezzanine import
- Clean deps
- Extract escape
- Change to sql to file
- Remove unused code
- Change inside type
- Remove match issue
- Opt import
- Change to map
- Fix import
- Split actions
- Rename to quake-dashboard
- Make static server
- Clean search mode
- Split api
- Split query api
- Clean code
- Change config name to workspace
- Rename packages
- Rename get entry api
- Reconfig parser pase
- Mvoe slug to etnry path
- Remove some old design
- Fix define issue
- Rename inputs props
- Move core logic to entry_app
- Split cli logic
- Split logic
- Rename projects
- Split files
- Split create logic
- Add error handling for types
- Extract find function
- Update to field
- Fix import error json issue
- Align api feed
- Remove unused code
- Refactor cmd exec
- Fix refactor mvoe files issue
- Clean files
- Change inputtype types
- Rename entry_file to entry_entity
- Rename split content
- Reorg entriy info
- Fix entry api
- Rename item
- Rename packages
- Thinking in json
- Try to download scripts

### Styling

- Fix for font size issueg
- Add lost editorconfig
- Change ui to homepage
- Fix for search

### Testing

- Fix typo
- Remove unused test
- Try run jsonify by platforms
- Add for field

### Build

- Init projects
- Init README
- Add core for quake
- Init design for path
- Add github actions
- Add install sqlite3 in windows
- Update windows sqlite again
- Ignore unfinish tests
- Add github flows for tests
- Add lost config
- Add lost gtk config
- Add libsqlite3 for test windows
- Fix fix typo
- Init editor modules
- Add notes script
- Init analysis
- Try jieba rs
- Clean editor mod
- Try to use ionic ui
- Override for wirted app
- Add scripts for bundle
- Test for app
- Init typeform package
- Init search api
- Try to write copy scripts
- Add scripts to home

### Notes

- Add basic python sample for test

### Poc

- Try use daemonize

### Refacotr

- Move code to js

<!-- generated by git-cliff -->
